%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Convert-ASN1

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Convert::ASN1 encodes and decodes ASN.1 data structures using BER/DER rules.
Name:		perl-%{perlname}
Version:	0.21
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Convert+ASN1
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Convert::ASN1 encodes and decodes ASN.1 data structures using BER/DER rules.
For more details see: http://search.cpan.org/~gbarr/Convert-ASN1-0.19/

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.21-1
- Version Update
* Sun May 14 2006 Christian Wasem <wasem@ccux-linux.de> 0.19-5
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.19-4
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.19-3
- rebuild, removed wrong vendor flag
* Sat Nov 19 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.19-2
- rebuild, removed wrong Obsoletes-Tag
* Sat Jul 09 2005 Christian Wasem <wasem@ccux-linux.de> 0.19-1
- Initial Release
